Bug 78141 - openoffice-2.0-devel cannot build -DWITH_KDE; configure: error: Qt libraries not found
Summary: openoffice-2.0-devel cannot build -DWITH_KDE; configure: error: Qt libraries ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-27 11:20 UTC by Pawel Wieleba
Modified: 2005-04-24 14:24 UTC (History)
0 users

See Also:


Attachments
file.diff (1.88 KB, patch)
2005-02-27 11:20 UTC, Pawel Wieleba
no flags Details | Diff
ooo2-kdefix.diff (884 bytes, patch)
2005-04-21 06:17 UTC, Ron MacNeil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Wieleba 2005-02-27 11:20:12 UTC
srv# cd /usr/ports/editors/openoffice-2.0-devel
srv# make -DWITH_CUPS -DWITH_KDE configure
..
checking for Qt headers... /usr/X11R6/include
checking for Qt libraries... no
configure: error: Qt libraries not found.  Please specify the root of
your Qt installation by exporting QTDIR before running "configure".
===>  Script "configure" failed unexpectedly.
Please report the problem to openoffice@FreeBSD.org [maintainer] and attach
the "/usr/ports/editors/openoffice-2.0-devel/work/config_office/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /usr/ports/editors/openoffice-2.0-devel.
srv#

I use: qt-3.3.4, kdelibs-3.3.2_4.

Fix: cd /usr/ports/editors/openoffice-2.0-devel
env QTDIR=/usr/X11R6 make -DWITH_KDE

or apply new patches:
srv# cat /usr/ports/editors/openoffice-2.0-devel/files/patch-config_office+configure
How-To-Repeat: cd /usr/ports/editors/openoffice-2.0-devel; make -DWITH_KDE
Comment 1 Herve Quiroz freebsd_committer 2005-02-27 11:29:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 Pawel Wieleba 2005-03-01 17:34:59 UTC
Hi once again!
I cannot build editors/openoffice-2.0-devel with -DWITH_KDE.
I tried version openoffice-2.0.20050225.
(It builds without problems when: make -DWITH_CUPS)

Perhaps this info will help you. If you need any further info let me now.
Pawel Wieleba

srv# pkg_info
xorg-6.8.1
kde-3.3.2
cups-1.1.23.0

srv# cd /usr/ports/editors/openoffice-2.0-devel
srv# env QTDIR=/usr/X11R6 make -DWITH_CUPS -DWITH_KDE
...

diff -br ../../unxfbsd.pro/bin/odk680/include/store /usr/ports/editors/openoffic
e-2.0-devel/work/solver/680/unxfbsd.pro/inc/store |& perl ../../util/checkdiff.p
l ../../unxfbsd.pro/misc/checkinc.txt
diff -br ../../unxfbsd.pro/bin/odk680/include/vos   /usr/ports/editors/openoffic
e-2.0-devel/work/solver/680/unxfbsd.pro/inc/vos |& perl ../../util/checkdiff.pl.
./../unxfbsd.pro/misc/checkinc.txt
cat ../../unxfbsd.pro/misc/checkinc.txt
cat ../../unxfbsd.pro/misc/checkidl.txt


Running processes: 1
/usr/ports/editors/openoffice-2.0-devel/work/odk/pack/checkbin
perl ../../util/check.pl ../../unxfbsd.pro/bin/odk680 freebsd "" ../../unxfbsd.p
ro/misc/checkbin.txt
Check for freebsd
check binaries: ++++++++++++++
check packaging files: ++++++++++++++++++++++++
check xml format specifiaction:
check config files:
check setting files:
check cpp docu: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
check java docu: ++++++++++++
check examples: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++
OK
cat ../../unxfbsd.pro/misc/checkbin.txt

Running processes: 1
/usr/ports/editors/openoffice-2.0-devel/work/odk/util
rm -f ../unxfbsd.pro/bin/odk680.tar.gz >& /dev/null
cd ../unxfbsd.pro/bin && tar cf - odk680 | gzip - > odk680.tar.gz
deliver -- version: 1.78
COPY: ../unxfbsd.pro/bin/odk680.tar.gz -> /usr/ports/editors/openoffice-2.0-deve
l/work/solver/680/unxfbsd.pro/bin/odk680.tar.gz
Statistics:
Files copied: 1
Files unchanged/not matching: 3

1 module(s):
        vcl
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-2.0-devel
/work/vcl/util

Attention: if you build and deliver the above module(s) you may prolongue your t
he build issuing command "build --from vcl

*** Error code 1

Stop in /usr/ports/editors/openoffice-2.0-devel.
srv#
Comment 3 Ron MacNeil 2005-04-21 06:17:25 UTC
Hi,

Could be a typo in the configure script?

Looks like they might have put $x_includes when they really meant $x_libraries.  Fix attached.

Best,
Ron
Comment 4 Maho Nakata freebsd_committer 2005-04-24 14:23:50 UTC
State Changed
From-To: open->closed

Fixed by another way, thanks!